XmAddProtocols(3)

NAME
XmAddProtocols — A VendorShell function that adds the protocols to the protocol manager and allocates the internal tables

SYNOPSIS

#include <Xm/Protocols.h>
void XmAddProtocols(
Widget shell,
Atom property,
Atom *protocols,
Cardinal num_protocols);

DESCRIPTION

XmAddProtocols adds the protocols to the protocol manager and allocates the internal tables.

XmAddWMProtocols is a convenience interface. It calls XmAddProtocols with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated

property
    Specifies the protocol property

protocols
    Specifies the protocol Atoms

num_protocols
    Specifies the number of elements in protocols

For a complete definition of VendorShell and its associated resources, see VendorShell(3).

RELATED

VendorShell(3), XmAddWMProtocols(3), XmInternAtom(3), and XmRemoveProtocols(3).